Bug 1301647 - Add support for SEEK_DATA/SEEK_HOLE to sharding
Summary: Add support for SEEK_DATA/SEEK_HOLE to sharding
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: sharding
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact: bugs@gluster.org
URL:
Whiteboard:
Depends On: 1220173
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-25 15:29 UTC by Niels de Vos
Modified: 2018-11-20 09:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-20 09:09:50 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2016-01-25 15:29:10 UTC
Description of problem:
A new seek() FOP is in the process of getting added to Gluster. Support for sharding is not part of the initial patch set. Because SEEK_DATA/SEEK_HOLE is an improvement for sparse files (like VM images), support for sharding is important.

More details about SEEK_DATA/SEEK_HOLE can be found in 'man 2 lseek'

Comment 1 Niels de Vos 2016-09-12 05:38:00 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 2 Niels de Vos 2017-11-07 10:38:57 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.

Comment 3 Yaniv Kaul 2017-11-07 12:02:40 UTC
(In reply to Niels de Vos from comment #2)
> This bug is getting closed because the 3.8 version is marked End-Of-Life.
> There will be no further updates to this version. Please open a new bug
> against a version that still receives bugfixes if you are still facing this
> issue in a more current release.

Has this been implemented in newer versions?

Comment 4 Krutika Dhananjay 2017-11-07 12:04:11 UTC
(In reply to Yaniv Kaul from comment #3)
> (In reply to Niels de Vos from comment #2)
> > This bug is getting closed because the 3.8 version is marked End-Of-Life.
> > There will be no further updates to this version. Please open a new bug
> > against a version that still receives bugfixes if you are still facing this
> > issue in a more current release.
> 
> Has this been implemented in newer versions?

No.

Comment 5 Yaniv Kaul 2017-11-07 12:37:30 UTC
I'm re-opening then. This is a valid feature request, I believe.

Comment 6 Vijay Bellur 2018-11-20 09:41:00 UTC
Migrated to github:

https://github.com/gluster/glusterfs/issues/597

Please follow the github issue for further updates on this bug.


Note You need to log in before you can comment on or make changes to this bug.